1.2
1.2
post /v1/policies/list
Description
Query policy list
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | Policy ID Example : 37f2e31ff86b415698d7e8eeafab445d | any of [string, null] | None |
| query | policy_name optional | Policy Name Example : ViewerAccess | any of [string, null] | None |
| query | policy_type optional | Policy Type Example : SYSTEM_MANAGED | any of [string, array[string], null] | None |
| query | service_type optional | Service Type Example : scp-iam | any of [string, array[string], null] | None |
| query | creator_name optional | Policy 생성자 성, 이름 Example : test1 | any of [string, null] | None |
| query | creator_email optional | Policy 생성자 Email Example : test@test.com | any of [string, null] | None |
| query | modifier_name optional | Policy 수정자 성, 이름 Example : test1 | any of [string, null] | None |
| query | modifier_email optional | Policy 수정자 Email Example : test@test.com | any of [string, null] | None |
| query | exclude_group_id optional | 제외할 Group ID Example : a946662dc4314dac93da413a32457459 | any of [string, null] | None |
| query | exclude_user_id optional | 제외할 User ID Example : | any of [string, null] | None |
| body | body required | PolicyQueryRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PolicyPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/policies/list
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Request body
{
"excluded_policy_ids": [
"37f2e31ff86b415698d7e8eeafab445d"
]
}
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"policies": [
{
"account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_email": "samsung.kim@samsung.com",
"creator_name": "Kim Samsung",
"default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
"description": "Descriptions for policy",
"domain_name": "scp",
"id": "37f2e31ff86b415698d7e8eeafab445d",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_email": "samsung.kim@samsung.com",
"modifier_name": "Kim Samsung",
"policy_category": "IDENTITY_BASED",
"policy_name": "PolicyName",
"policy_type": "USER_DEFINED",
"policy_versions": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "c1b1fc611eb34eccbccfb563f77395ee",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"policy_document": {
"Statement": [
{
"Action": [
"iam:*"
],
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": [],
"Principal": [],
"Resource": [
"*"
],
"Sid": "Statement1"
}
],
"Version": "2024-07-01"
},
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"policy_version_name": "PolicyVersion-1"
}
],
"resource_type": "policy",
"service_name": "Identity Access Management",
"service_type": "iam",
"srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
"state": "ACTIVE"
}
],
"size": 20,
"sort": [
"created_at:asc"
]
}